<template>
  <section>
    <v-toolbar>
      <v-toolbar-title class="green--text">Watoodoo</v-toolbar-title>
      <v-spacer></v-spacer>
    </v-toolbar>
    <div id="app">
      <div class="container">
        <div class="row">
          <div class="col-6 justify-content-center">
            <v-card>
              <v-card-title class="headline font-weight-regular light-green lighten-1 white--text">To do's</v-card-title>
              <v-card-text>
                <v-subheader class="pa-0">What do you have to do?</v-subheader>
                <input-vue @add-todo="addTodo"></input-vue>
                <check-boxes-vue :todos="unCompleted" @move-to-finish="moveToFinish"></check-boxes-vue>
              </v-card-text>
            </v-card>
            <!-- II @move-to-finish="moveToFinish" is the bridge between the chold and the parent -->
            <div style="background-color:yellow;">{{unCompleted.length}} Itemes Left</div>
          </div>
          <div class="col-6 justify-content-center">
            <done-list-vue :todos="completed" @remove-parent="removeParent"></done-list-vue>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import InputVue from "./components/Input.vue";
import CheckBoxesVue from "./components/CheckBoxes.vue";
import DoneListVue from "./components/DoneList.vue";
export default {
  name: "app",
  components: {
    InputVue,
    CheckBoxesVue,
    DoneListVue
  },
  data() {
    return {
      tab: []
    };
  },
  computed: {
    unCompleted() {
      return this.tab.filter(todo => todo.completed == false);
    },
    completed() {
      return this.tab.filter(todo => todo.completed == true);
    }
  },

  methods: {
    addTodo(event) {
      this.tab.push(event);
    },

    /*III
    We recup from the "bridge" the id from the method of the child thanks the event*/

    moveToFinish(event) {
      //even.id pour rechercher dans this.tab
      //findIndex nous permet de récuperer l'index
      const id = this.tab.findIndex(
        (item) /**parcours nos items */ => item.id == event.id
      );
      //completed = true;
      this.tab[id].completed = true;
    },
    removeParent(event) {
      const index = this.tab.findIndex(item => item.id == event.id);

      this.tab.splice(index, 1);
    }
  }
};
</script>

<style>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;


}


</style>
